[Search tip detail and code files using keywords, tip number, author name, etc ]
 
Getting Data on Unusual Shapes
Tip# 3166 By Leonid Nemirovsky On 15-Mar-2009
1.5
Rated By 2 users
Categories : Object Properties
Software type : AutoCAD 2009
Rename File To : No Files to download.
Getting length and other data on objects that are not easily measured.

Leonid Nemirovsky shares a tip on getting length and other data on objects that are not easily measured.

1. To get the ellipse length or perimeter, initiate Boundary command, select ellipse, AutoCAD will give you a notice that PLINE can't be created and offer to create a region instead. Accept it and highlight it (last) with grips.

In the Properties dialog box you will find the perimeter value.

2. If you have a curve that is a part of an ellipse, use Spline command and with running osnap create a spline over partial ellipse. Then use the Flatten command to convert spline to pline and get the length.

NOTES FROM CADALYST TIP PATROL: Getting ellipse data is difficult. Selecting it and reading the info in the properties manager pallet provides little data except for area and axis point info. These tips can be applied to any irregular shape. Convert the object to a pline (use the pedit command) or region can help. Another way is to convert it to a hatch. Sometimes the info you need can be found there. Executing the Flatten command is important because that will make sure that all Z values are set to zero. Only do that if you want it to be flat!

 

Average Rating:
1.5


User comments
Comment by McSwain,R.K.
Posted on 2009-03-16 13:00:31
The ._LIST command will give you the length of an ellipse and/or an elliptical arc, without having to convert the entities.
Comment by Cooper,Kent
Posted on 2011-01-04 09:06:44
Another way for the length in particular, which will give it to you for ANY kind of finite-length object with linearity [Line, Arc, Circle, any kind of Polyline, Ellipse, Spline], open or closed: (vl-load-com) (vlax-curve-getDistAtParam (setq path (car (entsel))) (vlax-curve-getEndParam path) )


Log In